SimpleSelfRebuff:_rev("$Revision: 46467 $")

local function ItemSetup(self, BS, class, L)
	self:Debug('Loading item setup')

	local function registerItems(categoryName)
		self:Debug('Loading item setup for %q', categoryName)
	
		local category = self:GetCategory(categoryName)
		category.source = self.SOURCE_PT3SET

		-- Stones
		if true or
			class == 'ROGUE'  or class == 'WARRIOR' or class == 'PALADIN' or
			class == 'SHAMAN' or class == 'DRUID'
		then
			category
				:add( L["Sharpening Stone"], 'setName', 'Consumable.Weapon Buff.Stone.Sharpening Stone' )
				:add( L["Weight Stone"], 'setName', 'Consumable.Weapon Buff.Stone.Weight Stone' )		
		end
		
		-- Oils
		if
			class == 'WARLOCK' or class == 'DRUID'  or class == 'MAGE' or class == 'SHAMAN' or
			class == 'PALADIN' or class == 'PRIEST' or class == 'HUNTER' 
		then

			-- Mana Oils
			category:add( L["Mana Oil"], 'minLevel', 20, 'setName', "Consumable.Weapon Buff.Oil.Mana")
			
			-- Wizard Oils
			if class ~= 'HUNTER' then
				category:add( L["Wizard Oil"], 'minLevel', 5, 'setName', "Consumable.Weapon Buff.Oil.Wizard" )
			end
			
		end
	
	end
	
	registerItems(self.CATEGORY_MAINHAND)
	registerItems(self.CATEGORY_OFFHAND)	

end

SimpleSelfRebuff:RegisterBuffSetup(ItemSetup)
